package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * ProfilesBindedDeviceInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ProfilesBindedDeviceInfo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("deviceName")
  private String deviceName;

  @JsonProperty("deviceMac")
  private String deviceMac;

  @JsonProperty("model")
  private String model;

  @JsonProperty("modelVersion")
  private String modelVersion;

  @JsonProperty("type")
  private String type;

  @JsonProperty("profileNames")
  @Valid
  private List<String> profileNames = null;

  public ProfilesBindedDeviceInfo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Get id
   * @return id
  */
  @ApiModelProperty(value = "")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public ProfilesBindedDeviceInfo deviceName(String deviceName) {
    this.deviceName = deviceName;
    return this;
  }

  /**
   * Device name.
   * @return deviceName
  */
  @ApiModelProperty(value = "Device name.")


  public String getDeviceName() {
    return deviceName;
  }

  public void setDeviceName(String deviceName) {
    this.deviceName = deviceName;
  }

  public ProfilesBindedDeviceInfo deviceMac(String deviceMac) {
    this.deviceMac = deviceMac;
    return this;
  }

  /**
   * Device MAC.
   * @return deviceMac
  */
  @ApiModelProperty(value = "Device MAC.")


  public String getDeviceMac() {
    return deviceMac;
  }

  public void setDeviceMac(String deviceMac) {
    this.deviceMac = deviceMac;
  }

  public ProfilesBindedDeviceInfo model(String model) {
    this.model = model;
    return this;
  }

  /**
   * Device model name
   * @return model
  */
  @ApiModelProperty(value = "Device model name")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public ProfilesBindedDeviceInfo modelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
    return this;
  }

  /**
   * Device model version
   * @return modelVersion
  */
  @ApiModelProperty(value = "Device model version")


  public String getModelVersion() {
    return modelVersion;
  }

  public void setModelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
  }

  public ProfilesBindedDeviceInfo type(String type) {
    this.type = type;
    return this;
  }

  /**
   * Device type
   * @return type
  */
  @ApiModelProperty(value = "Device type")


  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public ProfilesBindedDeviceInfo profileNames(List<String> profileNames) {
    this.profileNames = profileNames;
    return this;
  }

  public ProfilesBindedDeviceInfo addProfileNamesItem(String profileNamesItem) {
    if (this.profileNames == null) {
      this.profileNames = new ArrayList<>();
    }
    this.profileNames.add(profileNamesItem);
    return this;
  }

  /**
   * Profile names binded to the device.
   * @return profileNames
  */
  @ApiModelProperty(value = "Profile names binded to the device.")


  public List<String> getProfileNames() {
    return profileNames;
  }

  public void setProfileNames(List<String> profileNames) {
    this.profileNames = profileNames;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ProfilesBindedDeviceInfo profilesBindedDeviceInfo = (ProfilesBindedDeviceInfo) o;
    return Objects.equals(this.id, profilesBindedDeviceInfo.id) &&
        Objects.equals(this.deviceName, profilesBindedDeviceInfo.deviceName) &&
        Objects.equals(this.deviceMac, profilesBindedDeviceInfo.deviceMac) &&
        Objects.equals(this.model, profilesBindedDeviceInfo.model) &&
        Objects.equals(this.modelVersion, profilesBindedDeviceInfo.modelVersion) &&
        Objects.equals(this.type, profilesBindedDeviceInfo.type) &&
        Objects.equals(this.profileNames, profilesBindedDeviceInfo.profileNames);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, deviceName, deviceMac, model, modelVersion, type, profileNames);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ProfilesBindedDeviceInfo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    deviceName: ").append(toIndentedString(deviceName)).append("\n");
    sb.append("    deviceMac: ").append(toIndentedString(deviceMac)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    modelVersion: ").append(toIndentedString(modelVersion)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    profileNames: ").append(toIndentedString(profileNames)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

